Page MenuHomePhabricator

Deploy Growth experiments at Bangla Wikipedia
Closed, ResolvedPublic

Description

NOTE: for this deployment, we should not include the Impact module. Bengali Wikipedia is hosting a separate experiment around impact stats that we have agreed not to disrupt. At a later date, when the experiment is finished, we will create a Phabricator task to add the Impact module to that wiki.

First

  • Get an agreement from the community to deploy these features (https://w.wiki/nW4)
  • List people we can contact for the next steps: @ANKAN
  • subscribe to our newsletter, to know what would be the next steps.

Translations

Help panel

Homepage

Suggested edits

Suggested edits are based on these 5 task-types. At the moment, they can't be substituted. Please check maintenance template and links:

For templates only, you can suggest more templates that match the task description. For each task, at least 500 articles should be listed under each template.

Extra links:

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

  • We don't have any in-person mentoring program
  • About WP:FLAGGED, it is applied only on some specific pages where the admins change the settings/protections (like semi and full protection) for certain reasons (e.g. increased amount of vandalism).

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

@Trizek-WMF -- is this ready except for legal approval? If so, we can put it in Ready for Development and set up the config, but not deploy yet.

MMiller_WMF updated the task description. (Show Details)
MMiller_WMF added subscribers: Catrope, kostajh, marcella and 2 others.
ANKAN updated the task description. (Show Details)

@Tgr is going to use this deployment as an opportunity to document the deployment process while setting up the Bengali deployment. Then @Catrope is going to review the documentation.

Change 649490 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/extensions/GrowthExperiments@master] Add Bangla aliases

https://gerrit.wikimedia.org/r/649490

Change 649586 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable and configure GrowthExperiments on Bangla Wikipedia

https://gerrit.wikimedia.org/r/649586

FWIW, the wiki uses FlaggedRevs.

The translations has been provided for 4 aliases. But it misses the prefix.
For instance, for "Special:Homepage", the translation given is "নীড়পাতা", which doesn't include "Special:".

We actually have to remove the namespace prefix (for special page aliases only) so not including them makes things slightly simpler.

We actually have to remove the namespace prefix (for special page aliases only) so not including them makes things slightly simpler.

Oh, great! I'm updating the process accordingly.

Change 649490 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Add Bangla aliases

https://gerrit.wikimedia.org/r/649490

Change 650012 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Enable GrowthExperiments on bnwiki

https://gerrit.wikimedia.org/r/650012

Change 649586 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure GrowthExperiments on Bangla Wikipedia

https://gerrit.wikimedia.org/r/649586

Mentioned in SAL (#wikimedia-operations) [2020-12-17T19:05:56Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: b24b6f5e99d63e0ed28132fb73c290a87a16e9a2: Configure GrowthExperiments on Bangla Wikipedia [noop for prod] (T266020) (duration: 01m 03s)

Change 650241 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] Get rid of GrowthExperiments morelike mode on beta

https://gerrit.wikimedia.org/r/650241

https://bn.wikipedia.beta.wmflabs.org/ is mostly set up (thanks @Urbanecm!) but suggested edits are kinda broken due to a (beta-specific) configuration error. I'll fix that in the evening deploy window.

Change 650241 merged by jenkins-bot:
[operations/mediawiki-config@master] [beta] Get rid of GrowthExperiments morelike mode

https://gerrit.wikimedia.org/r/650241

We should remove (দৃশ্যমান সম্পাদনা) from https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/InitialiseSettings.php#L26398 & https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/InitialiseSettings.php#L26403

It was added in title to disambiguate from other similar pages. No need to include it in the 'text' =>. Most of other wikis also didn't include it.

@Urbanecm_WMF do you want to include that in your patch so we don't need a second config change?

Change 661522 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] bnwiki: wgGEHelpPanelLinks: Remove text in brackets

https://gerrit.wikimedia.org/r/661522

@Urbanecm_WMF do you want to include that in your patch so we don't need a second config change?

Meh, how did I miss this one. Done now :).

@Urbanecm_WMF -- we have received permission from Legal to deploy this. When can we do it? @Ankan_WMF, after we hear when @Urbanecm_WMF plans to deploy, then you can announce to your community.

@Urbanecm_WMF -- we have received permission from Legal to deploy this. When can we do it? @Ankan_WMF, after we hear when @Urbanecm_WMF plans to deploy, then you can announce to your community.

@MMiller_WMF please go ahead anytime you prefer. I am really looking forward to it. :)

@Urbanecm_WMF -- we have received permission from Legal to deploy this. When can we do it? @Ankan_WMF, after we hear when @Urbanecm_WMF plans to deploy, then you can announce to your community.

@MMiller_WMF please go ahead anytime you prefer. I am really looking forward to it. :)

I'm going to deploy this on Monday February 08, 2021.

Technically, I can deploy this today as well (in ~6 hours), but I believe that's really short notice. If @Ankan_WMF, @Trizek-WMF or @MMiller_WMF think it's fine, I'm happy to go with the earlier date too.

Change 661522 merged by jenkins-bot:
[operations/mediawiki-config@master] bnwiki: wgGEHelpPanelLinks: Remove text in brackets

https://gerrit.wikimedia.org/r/661522

Mentioned in SAL (#wikimedia-operations) [2021-02-04T13:58:30Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: NO-OP: 7c67b2f03cbc27cf9e5f214a6f0ea0856d8c1ae4: bnwiki: wgGEHelpPanelLinks: Remove text in brackets (T266020) (duration: 01m 12s)

@Urbanecm_WMF -- I think Monday is better, because then @Trizek-WMF will be around to help if needed.

@Trizek-WMF Actually... maybe Monday is not best after all. T272753: Scale: pilot help panel with mentorship in frwiki, bnwiki, arwiki, viwiki is scheduled for Wednesday, and we probably don't want two days of help desk questions at bnwiki. Do you think I should make bnwiki to direct help panel question to mentors on Monday, or enable the features at bnwiki on Wednesday? CC @MMiller_WMF.

Hello, i added this https://w.wiki/xvK. Hope it is correct. Q: Should i remove "টেমপ্লেট:" (Template:) from this page? I noticed that other Wiki didn't added that part. Or it doesn't matter?

Hello, i added this https://w.wiki/xvK. Hope it is correct. Q: Should i remove "টেমপ্লেট:" (Template:) from this page? I noticed that other Wiki didn't added that part. Or it doesn't matter?

AFAICS, it doesn't matter whether the namespace is included or not. @Tgr @kostajh, can you confirm that?

The documentation says they should not have a namespace. The way the code is written now it would work both ways, but maybe it's better not to assume that.

The documentation says they should not have a namespace. The way the code is written now it would work both ways, but maybe it's better not to assume that.

Starts to get a bit offtopic, but...I can't find any docs? Can you link them in T274017, please?

@Trizek-WMF Actually... maybe Monday is not best after all. T272753: Scale: pilot help panel with mentorship in frwiki, bnwiki, arwiki, viwiki is scheduled for Wednesday, and we probably don't want two days of help desk questions at bnwiki. Do you think I should make bnwiki to direct help panel question to mentors on Monday, or enable the features at bnwiki on Wednesday? CC @MMiller_WMF.

I also think deploying the updated thing directly will be better. Otherwise, it can be a bit confusing (unless you plan to check the situation on bnwiki by deploying the previous version and keep it for a few weeks).

Let's have both at the same time, if possible. If not, let's have the bn.wp deployment the day after.

This will be deployed on Wednesday.

Change 650012 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable GrowthExperiments on bnwiki

https://gerrit.wikimedia.org/r/650012

Mentioned in SAL (#wikimedia-operations) [2021-02-10T12:11:54Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: e8214ee812f3812f609c26d6422b85a99a91e1f6: Enable GrowthExperiments on bnwiki (T266020) (duration: 01m 08s)

This just happened. Moving to QA to ensure it works as intended.


There is a nowiki tag on mentor description. however signature list looks correct to me. how can i fix it?

And when i click on suggested article e.g. https://bn.wikipedia.org/wiki/%E0%A6%AC%E0%A6%BF%E0%A6%B6%E0%A7%87%E0%A6%B7:Homepage/newcomertask/734541?geclickid=b6e1g9s5orucfr1rsj2o2s1hdqjuhob5&getasktype=copyedit, it doesn't show me any tutorial.

Thank you for your feedback, @Aftabuzzaman.

In T266020#6819686, wrote:

There is a nowiki tag on mentor description. however signature list looks correct to me. how can i fix it?

My mentor is ‪আফতাবুজ্জামান‬, and I don't have any nowiki tag. Maybe it is in @ANKAN's description. Please don't fix it! :) We will check on what's causes this first.

And when i click on suggested article e.g. https://bn.wikipedia.org/wiki/%E0%A6%AC%E0%A6%BF%E0%A6%B6%E0%A7%87%E0%A6%B7:Homepage/newcomertask/734541?geclickid=b6e1g9s5orucfr1rsj2o2s1hdqjuhob5&getasktype=copyedit, it doesn't show me any tutorial.

I have it on my side. Have you enabled the Help panel in your preferences?

I think i found the problem. There is this line উদাহরণ: <code><nowiki>* [[ব্যবহারকারী:ANKAN]]|আমি নানাবিধ বিষয়ে অবদান রাখি, এবং আপনার কোনো ধরনের সমস্যায় সহায়তা করতে পারলে সত্যিই আনন্দিত হব।</nowiki></code> which causing this (i think).
Above that line there is another <code><nowiki>* [[ব্যবহারকারী:ব্যবহারকারী নাম]]|বর্ণনা</nowiki></code>. Will it cause any problem?

Thanks. Now its showing. Previously i enabled newcomer homepage but did not knew there is another.

Etonkovidova added a subscriber: Etonkovidova.

Checked - there are two outstanding tasks

Note The Impact module is not enabled.

Another thing needs to be fixed: in the help panel, "About the help panel" (সাহায্য প্যানেল সম্পর্কে) and "About suggested edits" (পরামর্শকৃত সম্পাদনা সম্পর্কে) are linked to the English pages on MediaWiki, not the translated ones.

Can you provide the right links?

Can you provide the right links?

Sure:

(Links to the translated ones)

Another thing needs to be fixed: in the help panel, "About the help panel" (সাহায্য প্যানেল সম্পর্কে) and "About suggested edits" (পরামর্শকৃত সম্পাদনা সম্পর্কে) are linked to the English pages on MediaWiki, not the translated ones.

The links sound to be correct to me. On my computer, they link to https://www.mediawiki.org/wiki/Special:MyLanguage/Growth/Focus_on_help_desk/Help_panel. Special:MyLanguage then redirects you to the best possible language. For instance, I'm currently logged in on mediawiki.org, and my language is set to Czech. Hence, Special:MyLanguage redirects me to the Czech version of the page, even if I click there on bnwiki.

On the other hand, if I'm logged out, then mediawiki.org is always in English, and it is not currently possible to set it to another language for anonymous users. @Krinkle wrote a gadget originally for Commons (https://meta.wikimedia.org/wiki/User:Krinkle/Scripts/AnonymousI18N), I'm not sure how easy is it to port it to mediawiki.org.

Can you try to log in to mediawiki.org, set your language to Bengali there, and then click the link again?

@Urbanecm_WMF yes, after setting Bengali in the preference section on mediawiki.org, it redirects to the Bengali version. Thank you.

As you have mentioned, in the current condition, English is selected in the preference section on MediaWiki by default. So the newcomers will always have the English version of the page at first, redirecting from the help panel on bn wiki. They have the option to select language afterward, I think it'd be better to get the Bengali page directly (maybe as a later task). :)

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptMar 16 2021, 11:07 PM